Subject: Re: [BLISS] more comments on the CC draft

From: <[email-masked]>
Date: Thu, 14 Apr 2011 17:07:58 +0200

Hi Keith,

I incorporated your comment 1) in the 09 version.

For 2), we often used 'SHOULD' in order to be as flexible as possible at implementations, as the solution was intended to be interoperable with the PSTN, and there are some differences between internet and PSTN usecases. For the normative statements changed after I've added conditions. Are there any more particular text passages which you think need more clarification?

The 10_draft_a version can be found at

http://bliss-ietf.org/drafts/draft-ietf-bliss-call-completion-10_draft_a.txt

Regards, Martin

________________________________
Von: DRAGE, Keith (Keith) [mailto:[email-masked]]
Gesendet: Donnerstag, 31. März 2011 19:28
An: Hülsemann, Martin; [email-masked]
Cc: [email-masked]; Jesske, Roland
Betreff: RE: more comments on the CC draft

I was kicked off to look at this further.

My brief skim identifies two issues:

1)         Generally throughout the document, "header" should be "header field" and "header parameter" should be "header field parameter".

2)         All instances of the words "SHOULD" and "RECOMMENDED" should be qualified by informative material indicating when the requirement applies / does not apply. The note below that some SHALLs have changed to SHOULD triggered me on this.

I'll try and have a closer look when not in a meeting.

Regards

Keith

________________________________
From: [email-masked] [mailto:[email-masked]] On Behalf Of [email-masked]
Sent: 31 March 2011 16:05
To: [email-masked]
Cc: [email-masked]; [email-masked]
Subject: [BLISS] more comments on the CC draft

Dear colleagues,

during the last WGLC I again received a lot of comments from Dave for editorials and spelling corrections, thanks again for checking, my apologies for not having detected them myself.

Besides the editorials, Dave commented that the procedures are based very much on the assumption of a underlying network architecture where there is a clear seperation between the UA on the user device and the CC agent/monitor which is located in the network. Dave proposed to better consider the case where the CC agent/monitor is colocated with the UA on the user device.
An example is a simple UA uses CC via a AS in the network, and when this UA is not available for CC recall, we said that the CC agent SHALL suspend the CC request. But the suspension policy of a more sophisticated agent of a CC App on a device could be different, therefore it was changed to 'SHOULD be suspended'. There are some other changes in this direction. There are no syntax changes.

Even though they were contributed post WGLC, in my opinion those changes are very useful for a more comprehensive CC solution, and therefore should be considered. I have provisionally provided a 09 version of the internet draft. You can find the changes at  http://bliss-ietf.org/drafts/diff_ccbs.html

Your opinions?

Regards, Martin